﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour {
	
	public BoxManager firstWave;

	public CharacterManager characterManager;

	public float speedWall;
	public float inclinedSpeed;

	public float startAt;
	public float startCounter;

	private bool entered;

	public AudioSource clip;

	void Start () 
	{
		startAt = 5;
	}
	
	void Update () 
	{
		startCounter += Time.deltaTime;

		if(startCounter > startAt)
		{
			firstWave.ReleaseAll();
		}

		if((startCounter > startAt+5.5f) && !entered)
		{
			clip.Play();
			characterManager.playerAnim.SetTrigger("Go");
			characterManager.isPlatform = false;
			entered = true;
		}
	}

	public void ChangeToPlatform()
	{
		characterManager.SwitchToPlatform();
	}


}
