﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class SkipPage : MonoBehaviour {

	public AudioSource [] sources;
	public Image [] scenes;
	private int currentClip;

	public Button skip;
	// Use this for initialization
	void Start () {
		skip.interactable = false;
		scenes [0].enabled = true;
		sources [0].Play ();
		currentClip = 0;
	}
	
	// Update is called once per frame
	void Update () {
		if(! sources[currentClip].isPlaying && currentClip<sources.Length)
		{
			skip.interactable = true;
		}
	}

	public void changeScene(int indx)
	{
		Debug.Log ("onclick");
		scenes [currentClip].enabled = false;
		skip.interactable = false;
		currentClip++;
		if (currentClip < sources.Length) {
			scenes [currentClip].enabled = true;
			sources [currentClip].Play ();
		} else
			SceneManager.LoadScene (indx);
	}
}
