﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class Boundary
{
	public float xMin, xMax, yMin, yMax;
}

public class MouseController : MonoBehaviour {

	public Texture2D cursorTexture;
	public CursorMode cursorMode = CursorMode.Auto;
	public Vector2 hotSpot;

	void Start(){
		hotSpot = new Vector2 (cursorTexture.height / 2, cursorTexture.width / 2);
		Cursor.SetCursor (cursorTexture, hotSpot, cursorMode);
	}


//	//Called for movements of target
	void Update(){
		if(Input.GetButton ("Fire1")){
			Vector3 pos = Camera.main.ScreenToWorldPoint (Input.mousePosition);
		}
	}
		
}
